
Katello - Bug #6390

'Add/Remove Content-view' buttons under composite-view  should be disabled when no CV is

selected

06/25/2014 03:39 PM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category: Web UI   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1095098 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1095098

Description of problem:

UI shows 'Add Content-View' button to add selected CV to composite-view. But the button remains enabled, when there is no CV to

add or even the listed CV is un-selected.

Similar behaviour with 'Remove Content View' button

Also, if you click on that button, without selecting any CV, UI raised a notification: Content-view updated.

Version-Release number of selected component (if applicable):

How reproducible:

always

Steps to Reproduce:

1. create a composite-view

2. select 'content-view' tab

3. click on 'Add' tab

4. click on 'Add Content View' button

5. Now click on 'List/Remove' tab

6. click on 'Remove Content View button

Actual results:

1. The buttons (Add Content View and Remove Content View) remains enabled, when there is no CV to add or even the listed CV is

un-selected. Also UI raised a notification: "Content View updated" on clicking those buttons

Expected results:

The buttons (Add Content View and Remove Content View) should be disabled, when there is no CV to add or even the listed CV is

un-selected.

Additional info:

Associated revisions

Revision 1e80722f - 07/02/2014 09:25 AM - Walden Raines

Fixes #6390/BZ1095098 - disabled table actions if no rows are selected.

This commit disables all table actions across the application if

no rows are selected.

Revision 1a502f71 - 07/02/2014 09:25 AM - Walden Raines

Fixes #6390/BZ1095098 - disabled table actions if no rows are selected.

This commit disables all table actions across the application if

no rows are selected.
Revision 8b3b048f - 07/02/2014 10:02 AM - Walden Raines

Merge pull request #4348 from waldenraines/6390

Fixes #6390/BZ1095098 - disabled table actions if no rows are selected.

Revision 7e37b772 - 07/02/2014 10:02 AM - Walden Raines

Merge pull request #4348 from waldenraines/6390

Fixes #6390/BZ1095098 - disabled table actions if no rows are selected.

History

#1 - 06/25/2014 03:40 PM - Walden Raines

- Status changed from New to Assigned

- Target version set to 48

- Difficulty set to easy

- Triaged set to Yes

#2 - 06/25/2014 05:56 PM - Walden Raines

- Status changed from Assigned to Ready For Testing

https://github.com/Katello/katello/pull/4348

#3 - 07/02/2014 11:01 AM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|1e80722fe4fdd2481759e5450cdbca953d75f8c3.

#4 - 08/22/2014 08:58 AM - Eric Helms

- translation missing: en.field_release set to 13
